import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  // if(process.env.NODE_ENV === 'development'){
  //   return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6IjdkM2FmZGVhLWQ1ZjctNDdhMC04ZDY3LWQ4ZTVlOWI3NGU4YiIsInVzZXJuYW1lIjoiYWRtaW4ifQ.Qoyb1kPCLTqEujOUoJzMkLz1ZqETlknJ1buyc8F8lePc0iLcKYnw-HFdMGN3colI2K0_8tZT2wiwaD7PuaVKJA'
  // }else{
    return Cookies.get(TokenKey)
  // }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
